Summary:	GPR - PPD-based graphical printing frontend.
Name:		gpr
Version:	0.9
Release:	2mdk
License:	GPL
Group:		Publishing

Source:		http://sourceforge.net/projects/lpr/%{name}-%{version}.tar.bz2
Source1:	gpr.png.bz2

Url:		http://sourceforge.net/projects/lpr/
BuildRoot:	%_tmppath/%name-%version-%release-root
Requires:	libppd1 ppdfilt libxml libgtk+1.2 libgnome32 a2ps
BuildRequires:	libppd-devel libxml-devel libgtk+1.2-devel libgnome32-devel

%description 
GPR is a graphical printing frontend which allows choosing the desired
printer and adjusting printer options via a GUI under various
spoolers. To have the needed printer capability information to set up
the option screens it uses PPD files, which are available for all
PostScript printers and all printers configured with Foomatic.

%prep

%setup -q
# Load menu icon
bzcat %SOURCE1 > $RPM_BUILD_DIR/%name-%version/gpr.png

%build

# CVS versions need "./autogen.sh", released ones not.
#./autogen.sh
%configure

%make

%install
%makeinstall

# install menu icon
install -d %buildroot/%_datadir/icons/locolor/16x16/apps
install -m 644 gpr.png %buildroot/%_iconsdir/locolor/16x16/apps

# install menu entry
install -d %buildroot/%_menudir
cat <<EOF > %buildroot/%_menudir/gpr
?package(gpr): needs=X11 \
section=Configuration/Printing \
title="GPR" \
longtitle="Graphical frontend for printing with various spoolers" \
command="gpr" \
icon="printing_section.png"
EOF

# Use update-alternatives to make printing with GPR also possible with
# the "lpr" command

( cd $RPM_BUILD_ROOT%{_bindir}
  ln -s gpr lpr-gpr
)

%post
%update_menus
# Set up update-alternatives entry
%{_sbindir}/update-alternatives --install %{_bindir}/lpr lpr %{_bindir}/lpr-gpr 8

%preun

if [ "$1" = 0 ]; then
  # Remove update-alternatives entry
  %{_sbindir}/update-alternatives --remove lpr /usr/bin/lpr-gpr
fi

%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr(-,root,root)
%doc ABOUT-NLS AUTHORS COPYING INSTALL README TODO
%_bindir/*
%_iconsdir/locolor/16x16/apps/*
%_libdir/menu

%changelog
* Thu Aug 29 2002 David BAUDENS <baudens@mandrakesoft.com> 0.9-2mdk
- Fix menu (category, icon)

* Thu Jan 10 2002 Till Kamppeter <till@mandrakesoft.com> 0.7-1mdk
- initial release.

* Thu Jan 10 2002 Till Kamppeter <till@mandrakesoft.com> 0.9-1mdk
- New version.
